Bug 860732 - Fight with yum ended in ERROR with rpm_check_debug vs depsolve:
Fight with yum ended in ERROR with rpm_check_debug vs depsolve:
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 11:18 EDT by gojohniego
Modified: 2014-01-21 01:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 12:17:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gojohniego 2012-09-26 11:18:34 EDT
Description of problem:
  Issued 'yum upgrade' on RHEL 5.8 host.  Transaction started and ran until I saw the package madm and then seemed to hang.  This was later in the day, so I went home.  Upon arriving to the office, the upgrade had not progressed.  I hit ctrl-C the upgrade halted and printed out this:

Error in PREIN scriptlet in rpm package 1:nfs-utils-1.0.9-60.el5.x86_64
error: %pre(nfs-utils-1.0.9-60.el5.x86_64) scriptlet failed, signal 2
error:   install: %pre scriptlet failed (2), skipping nfs-utils-1.0.9-60.el5

The I issued yum upgrade --exclude nfs-utils-1.0.9-60.el5

which resulted in:

Downloading Packages:
nfs-utils-1.0.9-54.el5.x86_64.rpm                        | 404 kB     00:00     
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
cyrus-sasl-lib is needed by (installed) cyrus-sasl-2.1.22-4.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Then I issued yum-complete-transaction which resulted in:

Transaction size changed - this means we are not doing the
same transaction as we were before. Aborting.
To remove, use: yum-complete-transaction --cleanup

Now yum upgrade and yum update result in the "ERROR with rpm check_debug...."

Version-Release number of selected component (if applicable):

Yum Version: 3.2.22

How reproducible:

This is the only system I have in this state??  To reproduce the error output, I just issue either yum upgrade on update commands and everytime it spits out the error.

Steps to Reproduce:

1.  yum upgrade or yum update
2.
3.
  
Actual results:
ERROR

Expected results:
upgrade or update of the installed packages


Additional info:
Comment 1 Zdeněk Pavlas 2013-04-04 12:17:59 EDT
If you have cyrus-sasl-lib already installed, your rpmdb is corrupt in some way, and rpm can't lookup the provides correctly.  try:

$ rpm --rebuilddb

Note You need to log in before you can comment on or make changes to this bug.